Doomsday Engine - Feature #1331

[InFine] Evaluate cvars with IF condition
2004-02-20 18:49 - danij

Status: New Start date: 2004-02-20

Priority: High % Done: 0%

Assignee:

Category: Enhancement

Target version: Modding

Description

Would it be possible for InFine to evaluate CVARS using:

IF (cvar) (argument) DO

ELSE DO

This would open up all kinds of possibilities for scripted

animations or even fully interactive computer terminals

in custom wads...

This would require either the ability to define custom

cvars via a ded file or a bank of empty cvars that level

authors can use for scripting via both XG and InFine.

Labels: Scripting

Related issues:

Related to Feature #1523: [Infine] Skill level checks New 2010-10-23
Related to Feature #1608: Integrate Doomsday Script Progressed 2013-10-22
Related to Feature #1632: InFine 2.0 (on top of Doomsday Script) New 2013-10-22

History

#1 - 2004-02-23 02:03 - skyjake

Logged In: YES
user_id=717323

| agree that evaluation of user-defined variables (or any cvars) in InFine
scripts would be a handy feature, but I think it would lead things down the
wrong path if we consider the bigger picture here. What you really want is
a proper scripting language to use for stuff like setting up the animations,
menus, XG effects, etc. Extending InFine in its current form would confine
the benefits of this customizability to the animations department.

In version 1.8 | will be integrating these separate subsystems (console
commands, InFine scripts, ACS, interactive overlays / menus) into a
single, more powerful scripting system. XG will be one way to start the
scripts. The end result should be much better than what we have in 1.7,
although not as elegant as a system designed from scratch.

#2 - 2004-02-25 18:23 - danij

Logged In: YES
user_id=849456

That sounds too good to be true :)

So essentially this new combined scripting language would in
theory be able to change any aspect of not just the current
level but global settings and basically any part of Doomsday?
That is gonna be a VERY powerfull/flexible system when you
combine the features of the seperate subsystem!
#3 - 2013-10-21 16:47 - skyjake

- Tags set to InFine, Scripting

- Subject changed from Evaluation of CVARS with InFine IF condition to [InFine] Evaluate cvars with IF condition
- Category set to Enhancement

- Priority changed from Normal to High

#4 - 2019-11-29 16:41 - skyjake

- Target version set to Modding
This should wait until InFine is based on Doomsday Script. Then it will be trivial to implement all kinds of expressions for branching.

#5 - 2019-11-29 16:41 - skyjake
- Related to Feature #1632: InFine 2.0 (on top of Doomsday Script) added
